from typing import Optional


class EQConfiguration:
    def __init__(self, user_id: Optional[str] = None, password: Optional[str] = None, vin: Optional[str] = None):
        self.user_id = user_id
        self.password = password
        self.vin = vin


class EQ:
    def __init__(self,
                 name: str = "EQ",
                 type: str = "eq",
                 configuration: EQConfiguration = None) -> None:
        self.name = name
        self.type = type
        self.configuration = configuration or EQConfiguration()
